## haskell-criterion 0.5.0.0

=== examples/Makefile ===
all := Fibber Judy Tiny

all: $(all)

%: %.hs
	ghc -O --make $<

clean:
	-rm -f *.hi *.o $(all)

=== debian/changelog ===
haskell-criterion (0.5.0.0-2) unstable; urgency=low

  * libghc6-criterion-doc: Add examples.
  * copyright: Include Neil Brown.  Thanks to Luca Falavigna.
  * libghc6-criterion-doc.examples: Include only files.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Mon, 31 May 2010 08:24:20 -0300

haskell-criterion (0.5.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #582560)

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Fri, 21 May 2010 20:51:43 -0300

=== debian/control ===
Source: haskell-criterion
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.7)
  , ghc6
  , ghc6-prof
  , libghc6-deepseq-dev (>= 1.1.0.0)
  , libghc6-deepseq-prof
  , libghc6-mtl-dev
  , libghc6-mtl-prof
  , libghc6-mwc-random-dev (>= 0.5.0.0)
  , libghc6-mwc-random-prof
  , libghc6-parallel-dev
  , libghc6-parallel-prof
  , libghc6-parsec3-dev (>= 3.1.0)
  , libghc6-parsec3-prof
  , libghc6-statistics-dev (>= 0.5.0.0)
  , libghc6-statistics-prof
  , libghc6-vector-dev (>= 0.5)
  , libghc6-vector-prof
  , libghc6-vector-algorithms-dev (>= 0.3)
  , libghc6-vector-algorithms-prof
Build-Depends-Indep: ghc6-doc
  , libghc6-deepseq-doc
  , libghc6-mtl-doc
  , libghc6-mwc-random-doc
  , libghc6-parallel-doc
  , libghc6-parsec3-doc
  , libghc6-statistics-doc
  , libghc6-vector-doc
  , libghc6-vector-algorithms-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/criterion
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-criterion
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-criterion

Package: libghc6-criterion-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Robust, reliable performance measurement and analysis
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides a powerful but simple way to measure the performance of
 Haskell code.  It provides both a framework for executing and analysing
 benchmarks and a set of driver functions that makes it easy to build and run
 benchmarks, and to analyse their results.
 .
 The fastest way to get started is to read the documentation and examples in
 the Criterion.Main module.

Package: libghc6-criterion-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Robust, reliable performance measurement and analysis; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides a powerful but simple way to measure the performance of
 Haskell code.  It provides both a framework for executing and analysing
 benchmarks and a set of driver functions that makes it easy to build and run
 benchmarks, and to analyse their results.
 .
 The fastest way to get started is to read the documentation and examples in
 the Criterion.Main module.

Package: libghc6-criterion-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Robust, reliable performance measurement and analysis; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides a powerful but simple way to measure the performance of
 Haskell code.  It provides both a framework for executing and analysing
 benchmarks and a set of driver functions that makes it easy to build and run
 benchmarks, and to analyse their results.
 .
 The fastest way to get started is to read the documentation and examples in
 the Criterion.Main module.

## haskell-criterion 0.5.0.7

=== debian/changelog ===
haskell-criterion (0.5.0.7-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release
  * no-utf8-warnings.patch: Removed, build does not produce warnings any
    more

 -- Joachim Breitner <nomeata@debian.org>  Fri, 15 Apr 2011 20:05:17 +0530

=== debian/control ===
--- 
+++ 
@@ -5,40 +5,40 @@
 Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
 Build-Depends: debhelper (>= 7)
   , cdbs
-  , haskell-devscripts (>= 0.7)
-  , ghc6
-  , ghc6-prof
-  , libghc6-deepseq-dev (>= 1.1.0.0)
-  , libghc6-deepseq-prof
-  , libghc6-mtl-dev
-  , libghc6-mtl-prof
-  , libghc6-mwc-random-dev (>= 0.5.0.0)
-  , libghc6-mwc-random-prof
-  , libghc6-parallel-dev
-  , libghc6-parallel-prof
-  , libghc6-parsec3-dev (>= 3.1.0)
-  , libghc6-parsec3-prof
-  , libghc6-statistics-dev (>= 0.5.0.0)
-  , libghc6-statistics-prof
-  , libghc6-vector-dev (>= 0.5)
-  , libghc6-vector-prof
-  , libghc6-vector-algorithms-dev (>= 0.3)
-  , libghc6-vector-algorithms-prof
-Build-Depends-Indep: ghc6-doc
-  , libghc6-deepseq-doc
-  , libghc6-mtl-doc
-  , libghc6-mwc-random-doc
-  , libghc6-parallel-doc
-  , libghc6-parsec3-doc
-  , libghc6-statistics-doc
-  , libghc6-vector-doc
-  , libghc6-vector-algorithms-doc
+  , haskell-devscripts (>= 0.8)
+  , ghc
+  , ghc-prof
+  , libghc-deepseq-dev (>= 1.1.0.0)
+  , libghc-deepseq-prof
+  , libghc-mtl-dev
+  , libghc-mtl-prof
+  , libghc-mwc-random-dev (>= 0.8.0.3)
+  , libghc-mwc-random-prof
+  , libghc-parallel-dev
+  , libghc-parallel-prof
+  , libghc-parsec3-dev (>= 3.1.0)
+  , libghc-parsec3-prof
+  , libghc-statistics-dev (>= 0.8.0.5)
+  , libghc-statistics-prof
+  , libghc-vector-dev (>= 0.7.0.0)
+  , libghc-vector-prof
+  , libghc-vector-algorithms-dev (>= 0.4)
+  , libghc-vector-algorithms-prof
+Build-Depends-Indep: ghc-doc
+  , libghc-deepseq-doc
+  , libghc-mtl-doc
+  , libghc-mwc-random-doc
+  , libghc-parallel-doc
+  , libghc-parsec3-doc
+  , libghc-statistics-doc
+  , libghc-vector-doc
+  , libghc-vector-algorithms-doc
 Standards-Version: 3.8.4
 Homepage: http://hackage.haskell.org/package/criterion
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-criterion
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-criterion
 
-Package: libghc6-criterion-dev
+Package: libghc-criterion-dev
 Architecture: any
 Depends: ${haskell:Depends}
   , ${shlibs:Depends}
@@ -58,7 +58,7 @@
  The fastest way to get started is to read the documentation and examples in
  the Criterion.Main module.
 
-Package: libghc6-criterion-prof
+Package: libghc-criterion-prof
 Architecture: any
 Depends: ${haskell:Depends}
   , ${shlibs:Depends}
@@ -79,7 +79,7 @@
  The fastest way to get started is to read the documentation and examples in
  the Criterion.Main module.
 
-Package: libghc6-criterion-doc
+Package: libghc-criterion-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${haskell:Depends}

## haskell-criterion 0.5.0.10

=== debian/changelog ===
haskell-criterion (0.5.0.10-2) unstable; urgency=low

  * Build with Chat support 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 17 Sep 2011 17:10:53 +0200

haskell-criterion (0.5.0.10-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Do not call the license BSD3 in debian/copyright 

  [ Iulian Udrea ]
  * New upstream release.
  * Update copyright years and Source URL.
  * Add myself to Uploaders.
  * Add DM-Upload-Allowed: yes.
  * Bump Standards-Version to 3.9.2; no changes required.

 -- Iulian Udrea <iulian@linux.com>  Thu, 01 Sep 2011 17:33:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: haskell
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
+Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>, Iulian Udrea <iulian@linux.com>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7)
   , cdbs
   , haskell-devscripts (>= 0.8)
@@ -24,6 +25,9 @@
   , libghc-vector-prof
   , libghc-vector-algorithms-dev (>= 0.4)
   , libghc-vector-algorithms-prof
+  , libghc-chart-dev (>= 0.14-2) 
+  , libghc-chart-dev (<< 0.15)
+  , libghc-chart-prof
 Build-Depends-Indep: ghc-doc
   , libghc-deepseq-doc
   , libghc-mtl-doc
@@ -33,7 +37,8 @@
   , libghc-statistics-doc
   , libghc-vector-doc
   , libghc-vector-algorithms-doc
-Standards-Version: 3.8.4
+  , libghc-chart-doc
+Standards-Version: 3.9.2
 Homepage: http://hackage.haskell.org/package/criterion
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-criterion
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-criterion

=== debian/rules ===
#!/usr/bin/make -f

DEB_SETUP_GHC_CONFIGURE_ARGS=-fchart -fgtk

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

## haskell-criterion 0.6.0.1

=== debian/changelog ===
haskell-criterion (0.6.0.1-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Joachim Breitner <nomeata@debian.org>  Sat, 11 Feb 2012 00:13:15 +0100

haskell-criterion (0.6.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #658194)

 -- Joachim Breitner <nomeata@debian.org>  Wed, 01 Feb 2012 18:33:37 +0100

=== debian/control ===
--- 
+++ 
@@ -9,35 +9,37 @@
   , haskell-devscripts (>= 0.8)
   , ghc
   , ghc-prof
-  , libghc-deepseq-dev (>= 1.1.0.0)
+  , libghc-aeson-dev (>= 0.3.2.12)
+  , libghc-aeson-prof
+  , libghc-deepseq-dev 
   , libghc-deepseq-prof
-  , libghc-mtl-dev
+  , libghc-hastache-dev (>= 0.1.5)
+  , libghc-hastache-prof
+  , libghc-mtl-dev (>= 2)
   , libghc-mtl-prof
   , libghc-mwc-random-dev (>= 0.8.0.3)
   , libghc-mwc-random-prof
-  , libghc-parallel-dev
-  , libghc-parallel-prof
   , libghc-parsec3-dev (>= 3.1.0)
   , libghc-parsec3-prof
-  , libghc-statistics-dev (>= 0.8.0.5)
+  , libghc-statistics-dev (>= 0.10.0.0)
   , libghc-statistics-prof
-  , libghc-vector-dev (>= 0.7.0.0)
+  , libghc-transformers-dev
+  , libghc-transformers-prof
+  , libghc-vector-dev (>= 0.7.1)
   , libghc-vector-prof
   , libghc-vector-algorithms-dev (>= 0.4)
   , libghc-vector-algorithms-prof
-  , libghc-chart-dev (>= 0.14-2) 
-  , libghc-chart-dev (<< 0.15)
-  , libghc-chart-prof
 Build-Depends-Indep: ghc-doc
+  , libghc-aeson-doc
   , libghc-deepseq-doc
+  , libghc-hastache-doc
   , libghc-mtl-doc
   , libghc-mwc-random-doc
-  , libghc-parallel-doc
   , libghc-parsec3-doc
   , libghc-statistics-doc
+  , libghc-transformers-doc
   , libghc-vector-doc
   , libghc-vector-algorithms-doc
-  , libghc-chart-doc
 Standards-Version: 3.9.2
 Homepage: http://hackage.haskell.org/package/criterion
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-criterion

## haskell-criterion 0.6.2.0

=== debian/changelog ===
haskell-criterion (0.6.2.0-3build4) trusty; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 14 Dec 2013 12:26:38 +0000

haskell-criterion (0.6.2.0-3build3) trusty; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Nov 2013 14:35:49 +0000

haskell-criterion (0.6.2.0-3build2) trusty; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Oct 2013 10:50:34 +0100

haskell-criterion (0.6.2.0-3build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 May 2013 14:50:15 +0100

haskell-criterion (0.6.2.0-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:06 +0200

haskell-criterion (0.6.2.0-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:14 +0200

haskell-criterion (0.6.2.0-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 17 Oct 2012 20:56:04 +0200

haskell-criterion (0.6.0.1-3) unstable; urgency=low

  * Include template files in libghc-criterion-dev, thanks to Tomas Janousek
    for noticing (Closes: #664449)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 18 Mar 2012 00:27:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>, Iulian Udrea <iulian@linux.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 9)
   , cdbs
-  , haskell-devscripts (>= 0.8)
+  , haskell-devscripts (>= 0.8.15)
   , ghc
   , ghc-prof
   , libghc-aeson-dev (>= 0.3.2.12)
@@ -40,7 +40,7 @@
   , libghc-transformers-doc
   , libghc-vector-doc
   , libghc-vector-algorithms-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/criterion
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-criterion
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-criterion
@@ -53,10 +53,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: Robust, reliable performance measurement and analysis
- This package provides a library for the Haskell programming language.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: Robust, reliable performance measurement and analysis${haskell:ShortBlurb}
  This library provides a powerful but simple way to measure the performance of
  Haskell code.  It provides both a framework for executing and analysing
  benchmarks and a set of driver functions that makes it easy to build and run
@@ -64,6 +61,8 @@
  .
  The fastest way to get started is to read the documentation and examples in
  the Criterion.Main module.
+ .
+ ${haskell:Blurb}
 
 Package: libghc-criterion-prof
 Architecture: any
@@ -73,11 +72,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: Robust, reliable performance measurement and analysis; profiling libraries
- This package provides a library for the Haskell programming language,
- compiled for profiling.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: Robust, reliable performance measurement and analysis${haskell:ShortBlurb}
  This library provides a powerful but simple way to measure the performance of
  Haskell code.  It provides both a framework for executing and analysing
  benchmarks and a set of driver functions that makes it easy to build and run
@@ -85,6 +80,8 @@
  .
  The fastest way to get started is to read the documentation and examples in
  the Criterion.Main module.
+ .
+ ${haskell:Blurb}
 
 Package: libghc-criterion-doc
 Section: doc
@@ -92,11 +89,7 @@
 Depends: ${misc:Depends}, ${haskell:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
-Description: Robust, reliable performance measurement and analysis; documentation
- This package provides the documentation for a library for the Haskell
- programming language.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: Robust, reliable performance measurement and analysis${haskell:ShortBlurb}
  This library provides a powerful but simple way to measure the performance of
  Haskell code.  It provides both a framework for executing and analysing
  benchmarks and a set of driver functions that makes it easy to build and run
@@ -104,3 +97,5 @@
  .
  The fastest way to get started is to read the documentation and examples in
  the Criterion.Main module.
+ .
+ ${haskell:Blurb}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

DEB_SETUP_GHC_CONFIGURE_ARGS := --datasubdir=/usr/share/$(CABAL_PACKAGE)

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|criterion-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/criterion \
    ([\d\.]*\d)/

## haskell-criterion 0.8.1.0

=== debian/changelog ===
haskell-criterion (0.8.1.0-1build1) vivid; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Feb 2015 15:22:50 +0000

haskell-criterion (0.8.1.0-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 28 Aug 2014 19:42:14 -0700

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,21 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>, Iulian Udrea <iulian@linux.com>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9)
   , cdbs
   , haskell-devscripts (>= 0.8.15)
   , ghc
   , ghc-prof
+  , libghc-binary-dev (>= 0.6.3.0)
+  , libghc-binary-prof (>= 0.6.3.0)
+  , libghc-aeson-prof
   , libghc-aeson-dev (>= 0.3.2.12)
   , libghc-aeson-prof
-  , libghc-deepseq-dev 
+  , libghc-deepseq-dev
   , libghc-deepseq-prof
-  , libghc-hastache-dev (>= 0.1.5)
+  , libghc-glob-dev (>= 0.7.2)
+  , libghc-glob-prof
+  , libghc-hastache-dev (>= 0.5.0)
   , libghc-hastache-prof
   , libghc-mtl-dev (>= 2)
   , libghc-mtl-prof
@@ -21,8 +25,10 @@
   , libghc-mwc-random-prof
   , libghc-parsec3-dev (>= 3.1.0)
   , libghc-parsec3-prof
-  , libghc-statistics-dev (>= 0.10.0.0)
+  , libghc-statistics-dev (>= 0.11)
   , libghc-statistics-prof
+  , libghc-text-dev (>= 0.11)
+  , libghc-text-prof
   , libghc-transformers-dev
   , libghc-transformers-prof
   , libghc-vector-dev (>= 0.7.1)
@@ -30,13 +36,16 @@
   , libghc-vector-algorithms-dev (>= 0.4)
   , libghc-vector-algorithms-prof
 Build-Depends-Indep: ghc-doc
+  , libghc-binary-doc
   , libghc-aeson-doc
   , libghc-deepseq-doc
+  , libghc-glob-doc
   , libghc-hastache-doc
   , libghc-mtl-doc
   , libghc-mwc-random-doc
   , libghc-parsec3-doc
   , libghc-statistics-doc
+  , libghc-text-doc
   , libghc-transformers-doc
   , libghc-vector-doc
   , libghc-vector-algorithms-doc

## haskell-criterion 1.1.0.0

=== debian/changelog ===
haskell-criterion (1.1.0.0-4build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Jan 2016 16:38:18 +0000

haskell-criterion (1.1.0.0-4) unstable; urgency=medium

  [ Joachim Breitner ]
  * Add Uploaders field, which I accidentally dropped

  [ Clint Adams ]
  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:15 -0500

haskell-criterion (1.1.0.0-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:16 +0200

haskell-criterion (1.1.0.0-2) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:58:21 +0200

haskell-criterion (1.1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:48:39 +0200

haskell-criterion (0.8.1.0-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * Do not depend on transformers, which now comes with GHC

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 20:31:37 +0100

=== debian/control ===
Source: haskell-criterion
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-glob-dev (>= 0.7.2),
 libghc-glob-prof,
 libghc-aeson-dev (>= 0.8),
 libghc-aeson-prof,
 libghc-ansi-wl-pprint-dev (>= 0.6.7.2),
 libghc-ansi-wl-pprint-prof,
 libghc-cassava-dev (>= 0.3.0.0),
 libghc-cassava-prof,
 libghc-hastache-dev (>= 0.6.0),
 libghc-hastache-prof,
 libghc-mtl-dev (>= 2),
 libghc-mtl-prof,
 libghc-mwc-random-dev (>= 0.8.0.3),
 libghc-mwc-random-prof,
 libghc-optparse-applicative-dev (>= 0.11),
 libghc-optparse-applicative-prof,
 libghc-parsec3-dev (>= 3.1.0),
 libghc-parsec3-prof,
 libghc-statistics-dev (>= 0.13.2.1),
 libghc-statistics-prof,
 libghc-text-dev (>= 0.11),
 libghc-text-prof,
 libghc-transformers-compat-dev (>= 0.4),
 libghc-transformers-compat-prof,
 libghc-vector-dev (>= 0.7.1),
 libghc-vector-prof,
 libghc-vector-algorithms-dev (>= 0.4),
 libghc-vector-algorithms-prof,
Build-Depends-Indep: ghc-doc,
 libghc-glob-doc,
 libghc-aeson-doc,
 libghc-ansi-wl-pprint-doc,
 libghc-cassava-doc,
 libghc-hastache-doc,
 libghc-mtl-doc,
 libghc-mwc-random-doc,
 libghc-optparse-applicative-doc,
 libghc-parsec3-doc,
 libghc-statistics-doc,
 libghc-text-doc,
 libghc-transformers-compat-doc,
 libghc-vector-doc,
 libghc-vector-algorithms-doc,
Standards-Version: 3.9.6
Homepage: http://www.serpentine.com/criterion
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-criterion-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Robust, reliable performance measurement and analysis${haskell:ShortBlurb}
 This library provides a powerful but simple way to measure the performance of
 Haskell code.  It provides both a framework for executing and analysing
 benchmarks and a set of driver functions that makes it easy to build and run
 benchmarks, and to analyse their results.
 .
 The fastest way to get started is to read the documentation and examples in
 the Criterion.Main module.
 .
 ${haskell:Blurb}

Package: libghc-criterion-prof
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Robust, reliable performance measurement and analysis${haskell:ShortBlurb}
 This library provides a powerful but simple way to measure the performance of
 Haskell code.  It provides both a framework for executing and analysing
 benchmarks and a set of driver functions that makes it easy to build and run
 benchmarks, and to analyse their results.
 .
 The fastest way to get started is to read the documentation and examples in
 the Criterion.Main module.
 .
 ${haskell:Blurb}

Package: libghc-criterion-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: Robust, reliable performance measurement and analysis${haskell:ShortBlurb}
 This library provides a powerful but simple way to measure the performance of
 Haskell code.  It provides both a framework for executing and analysing
 benchmarks and a set of driver functions that makes it easy to build and run
 benchmarks, and to analyse their results.
 .
 The fastest way to get started is to read the documentation and examples in
 the Criterion.Main module.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/criterion/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-criterion 1.1.1.0

=== debian/changelog ===
haskell-criterion (1.1.1.0-3build2) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2017 05:13:56 +0000

haskell-criterion (1.1.1.0-3build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Jan 2017 14:30:46 +0100

haskell-criterion (1.1.1.0-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:33:02 -0400

haskell-criterion (1.1.1.0-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 16:23:00 -0400

haskell-criterion (1.1.1.0-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 29 May 2016 11:52:51 +0200

=== debian/control ===
Source: haskell-criterion
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Joachim Breitner <nomeata@debian.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-aeson-dev (>= 0.8),
 libghc-aeson-prof,
 libghc-ansi-wl-pprint-dev (>= 0.6.7.2),
 libghc-ansi-wl-pprint-prof,
 libghc-cassava-dev (>= 0.3.0.0),
 libghc-cassava-prof,
 libghc-glob-dev (>= 0.7.2),
 libghc-glob-prof,
 libghc-hastache-dev (>= 0.6.0),
 libghc-hastache-prof,
 libghc-mtl-dev (>= 2),
 libghc-mtl-prof,
 libghc-mwc-random-dev (>= 0.8.0.3),
 libghc-mwc-random-prof,
 libghc-optparse-applicative-dev,
 libghc-optparse-applicative-dev (>= 0.11),
 libghc-optparse-applicative-prof,
 libghc-parsec3-dev (>= 3.1.0),
 libghc-parsec3-prof,
 libghc-statistics-dev (>= 0.13.2.1),
 libghc-statistics-prof,
 libghc-text-dev (>= 0.11),
 libghc-text-prof,
 libghc-transformers-compat-dev (>= 0.4),
 libghc-transformers-compat-prof,
 libghc-vector-algorithms-dev (>= 0.4),
 libghc-vector-algorithms-prof,
 libghc-vector-dev (>= 0.7.1),
 libghc-vector-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-aeson-doc,
 libghc-ansi-wl-pprint-doc,
 libghc-cassava-doc,
 libghc-glob-doc,
 libghc-hastache-doc,
 libghc-mtl-doc,
 libghc-mwc-random-doc,
 libghc-optparse-applicative-doc,
 libghc-parsec3-doc,
 libghc-statistics-doc,
 libghc-text-doc,
 libghc-transformers-compat-doc,
 libghc-vector-algorithms-doc,
 libghc-vector-doc,
Standards-Version: 3.9.8
Homepage: http://www.serpentine.com/criterion
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-criterion
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-criterion-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Robust, reliable performance measurement and analysis${haskell:ShortBlurb}
 This library provides a powerful but simple way to measure the performance of
 Haskell code.  It provides both a framework for executing and analysing
 benchmarks and a set of driver functions that makes it easy to build and run
 benchmarks, and to analyse their results.
 .
 The fastest way to get started is to read the documentation and examples in
 the Criterion.Main module.
 .
 ${haskell:Blurb}

Package: libghc-criterion-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Robust, reliable performance measurement and analysis${haskell:ShortBlurb}
 This library provides a powerful but simple way to measure the performance of
 Haskell code.  It provides both a framework for executing and analysing
 benchmarks and a set of driver functions that makes it easy to build and run
 benchmarks, and to analyse their results.
 .
 The fastest way to get started is to read the documentation and examples in
 the Criterion.Main module.
 .
 ${haskell:Blurb}

Package: libghc-criterion-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: Robust, reliable performance measurement and analysis${haskell:ShortBlurb}
 This library provides a powerful but simple way to measure the performance of
 Haskell code.  It provides both a framework for executing and analysing
 benchmarks and a set of driver functions that makes it easy to build and run
 benchmarks, and to analyse their results.
 .
 The fastest way to get started is to read the documentation and examples in
 the Criterion.Main module.
 .
 ${haskell:Blurb}

## haskell-criterion 1.1.4.0

=== debian/changelog ===
haskell-criterion (1.1.4.0-1build5) bionic; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2017 04:19:41 +0000

haskell-criterion (1.1.4.0-1build4) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2017 07:52:01 +0200

haskell-criterion (1.1.4.0-1build3) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2017 00:06:22 +0200

haskell-criterion (1.1.4.0-1build2) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Jul 2017 20:31:42 +0200

haskell-criterion (1.1.4.0-1build1) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Jul 2017 18:27:11 +0200

haskell-criterion (1.1.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 06 Jul 2017 16:52:57 -0400

=== debian/control ===
--- 
+++ 
@@ -19,14 +19,19 @@
  libghc-cassava-prof,
  libghc-glob-dev (>= 0.7.2),
  libghc-glob-prof,
+ libghc-code-page-dev,
+ libghc-code-page-prof,
  libghc-hastache-dev (>= 0.6.0),
  libghc-hastache-prof,
+ libghc-js-flot-dev,
+ libghc-js-flot-prof,
+ libghc-js-jquery-dev,
+ libghc-js-jquery-prof,
  libghc-mtl-dev (>= 2),
  libghc-mtl-prof,
  libghc-mwc-random-dev (>= 0.8.0.3),
  libghc-mwc-random-prof,
- libghc-optparse-applicative-dev,
- libghc-optparse-applicative-dev (>= 0.11),
+ libghc-optparse-applicative-dev (>= 0.13),
  libghc-optparse-applicative-prof,
  libghc-parsec3-dev (>= 3.1.0),
  libghc-parsec3-prof,
@@ -40,13 +45,15 @@
  libghc-vector-algorithms-prof,
  libghc-vector-dev (>= 0.7.1),
  libghc-vector-prof,
-Build-Depends-Indep:
- ghc-doc,
+Build-Depends-Indep: ghc-doc,
+ libghc-glob-doc,
  libghc-aeson-doc,
  libghc-ansi-wl-pprint-doc,
  libghc-cassava-doc,
- libghc-glob-doc,
+ libghc-code-page-doc,
  libghc-hastache-doc,
+ libghc-js-flot-doc,
+ libghc-js-jquery-doc,
  libghc-mtl-doc,
  libghc-mwc-random-doc,
  libghc-optparse-applicative-doc,
@@ -56,7 +63,7 @@
  libghc-transformers-compat-doc,
  libghc-vector-algorithms-doc,
  libghc-vector-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.serpentine.com/criterion
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-criterion
 Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

## haskell-criterion 1.3.0.0

=== debian/changelog ===
haskell-criterion (1.3.0.0-1build2) cosmic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Jul 2018 15:54:50 +0200

haskell-criterion (1.3.0.0-1build1) cosmic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Jun 2018 12:35:23 +0200

haskell-criterion (1.3.0.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 15:45:31 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: haskell-criterion
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Joachim Breitner <nomeata@debian.org>,
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends:
  cdbs,
@@ -15,18 +14,24 @@
  libghc-aeson-prof,
  libghc-ansi-wl-pprint-dev (>= 0.6.7.2),
  libghc-ansi-wl-pprint-prof,
+ libghc-base-compat-dev (>= 0.9),
+ libghc-base-compat-prof,
  libghc-cassava-dev (>= 0.3.0.0),
  libghc-cassava-prof,
  libghc-glob-dev (>= 0.7.2),
  libghc-glob-prof,
  libghc-code-page-dev,
  libghc-code-page-prof,
- libghc-hastache-dev (>= 0.6.0),
- libghc-hastache-prof,
+ libghc-exceptions-dev (>= 0.8.2),
+ libghc-exceptions-dev (<< 0.9),
+ libghc-exceptions-prof,
  libghc-js-flot-dev,
  libghc-js-flot-prof,
  libghc-js-jquery-dev,
  libghc-js-jquery-prof,
+ libghc-microstache-dev (>= 1.0.1),
+ libghc-microstache-dev (<< 1.1),
+ libghc-microstache-prof,
  libghc-mtl-dev (>= 2),
  libghc-mtl-prof,
  libghc-mwc-random-dev (>= 0.8.0.3),
@@ -35,7 +40,10 @@
  libghc-optparse-applicative-prof,
  libghc-parsec3-dev (>= 3.1.0),
  libghc-parsec3-prof,
- libghc-statistics-dev (>= 0.13.2.1),
+ libghc-semigroups-dev,
+ libghc-semigroups-prof,
+ libghc-statistics-dev (>= 0.14),
+ libghc-statistics-dev (<< 0.15),
  libghc-statistics-prof,
  libghc-text-dev (>= 0.11),
  libghc-text-prof,
@@ -43,30 +51,32 @@
  libghc-transformers-compat-prof,
  libghc-vector-algorithms-dev (>= 0.4),
  libghc-vector-algorithms-prof,
- libghc-vector-dev (>= 0.7.1),
- libghc-vector-prof,
+ libghc-base-compat-dev,
 Build-Depends-Indep: ghc-doc,
  libghc-glob-doc,
  libghc-aeson-doc,
  libghc-ansi-wl-pprint-doc,
+ libghc-base-compat-doc,
  libghc-cassava-doc,
  libghc-code-page-doc,
- libghc-hastache-doc,
+ libghc-exceptions-doc,
  libghc-js-flot-doc,
  libghc-js-jquery-doc,
+ libghc-microstache-doc,
  libghc-mtl-doc,
  libghc-mwc-random-doc,
  libghc-optparse-applicative-doc,
  libghc-parsec3-doc,
+ libghc-semigroups-doc,
  libghc-statistics-doc,
  libghc-text-doc,
  libghc-transformers-compat-doc,
  libghc-vector-algorithms-doc,
  libghc-vector-doc,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: http://www.serpentine.com/criterion
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-criterion
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-criterion
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
 
 Package: libghc-criterion-dev
 Architecture: any

## haskell-criterion 1.4.1.0

=== debian/changelog ===
haskell-criterion (1.4.1.0-3build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Aug 2019 15:00:42 +0200

haskell-criterion (1.4.1.0-3) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:11 +0300

haskell-criterion (1.4.1.0-2) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:28 +0300

haskell-criterion (1.4.1.0-1) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 29 Sep 2018 14:43:12 +0300

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,20 @@
  Joachim Breitner <nomeata@debian.org>,
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-aeson-dev (>= 0.8),
  libghc-aeson-prof,
  libghc-ansi-wl-pprint-dev (>= 0.6.7.2),
  libghc-ansi-wl-pprint-prof,
- libghc-base-compat-dev (>= 0.9),
- libghc-base-compat-prof,
+ libghc-base-compat-batteries-dev (>= 0.10),
+ libghc-base-compat-batteries-dev (<< 0.11),
+ libghc-base-compat-batteries-prof,
  libghc-cassava-dev (>= 0.3.0.0),
  libghc-cassava-prof,
  libghc-glob-dev (>= 0.7.2),
@@ -23,7 +25,7 @@
  libghc-code-page-dev,
  libghc-code-page-prof,
  libghc-exceptions-dev (>= 0.8.2),
- libghc-exceptions-dev (<< 0.9),
+ libghc-exceptions-dev (<< 0.11),
  libghc-exceptions-prof,
  libghc-js-flot-dev,
  libghc-js-flot-prof,
@@ -32,51 +34,42 @@
  libghc-microstache-dev (>= 1.0.1),
  libghc-microstache-dev (<< 1.1),
  libghc-microstache-prof,
- libghc-mtl-dev (>= 2),
- libghc-mtl-prof,
  libghc-mwc-random-dev (>= 0.8.0.3),
  libghc-mwc-random-prof,
  libghc-optparse-applicative-dev (>= 0.13),
  libghc-optparse-applicative-prof,
- libghc-parsec3-dev (>= 3.1.0),
- libghc-parsec3-prof,
  libghc-semigroups-dev,
  libghc-semigroups-prof,
  libghc-statistics-dev (>= 0.14),
  libghc-statistics-dev (<< 0.15),
  libghc-statistics-prof,
- libghc-text-dev (>= 0.11),
- libghc-text-prof,
  libghc-transformers-compat-dev (>= 0.4),
  libghc-transformers-compat-prof,
  libghc-vector-algorithms-dev (>= 0.4),
  libghc-vector-algorithms-prof,
- libghc-base-compat-dev,
+ libghc-base-compat-batteries-dev,
 Build-Depends-Indep: ghc-doc,
  libghc-glob-doc,
  libghc-aeson-doc,
  libghc-ansi-wl-pprint-doc,
- libghc-base-compat-doc,
+ libghc-base-compat-batteries-doc,
  libghc-cassava-doc,
  libghc-code-page-doc,
  libghc-exceptions-doc,
  libghc-js-flot-doc,
  libghc-js-jquery-doc,
  libghc-microstache-doc,
- libghc-mtl-doc,
  libghc-mwc-random-doc,
  libghc-optparse-applicative-doc,
- libghc-parsec3-doc,
  libghc-semigroups-doc,
  libghc-statistics-doc,
- libghc-text-doc,
  libghc-transformers-compat-doc,
  libghc-vector-algorithms-doc,
  libghc-vector-doc,
 Standards-Version: 4.1.4
 Homepage: http://www.serpentine.com/criterion
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-criterion
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-criterion]
 
 Package: libghc-criterion-dev
 Architecture: any

## haskell-criterion 1.5.5.0

=== debian/changelog ===
haskell-criterion (1.5.5.0-1build1) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Sep 2019 13:42:44 +0200

haskell-criterion (1.5.5.0-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Add missing "Upstream-Name" field into "debian/copyright".

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Fri, 30 Aug 2019 20:46:37 -0400

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,9 @@
  libghc-glob-prof,
  libghc-code-page-dev,
  libghc-code-page-prof,
+ libghc-criterion-measurement-dev (>= 0.1.1.0),
+ libghc-criterion-measurement-dev (<< 0.2),
+ libghc-criterion-measurement-prof,
  libghc-exceptions-dev (>= 0.8.2),
  libghc-exceptions-dev (<< 0.11),
  libghc-exceptions-prof,
@@ -38,12 +41,10 @@
  libghc-mwc-random-prof,
  libghc-optparse-applicative-dev (>= 0.13),
  libghc-optparse-applicative-prof,
- libghc-semigroups-dev,
- libghc-semigroups-prof,
  libghc-statistics-dev (>= 0.14),
- libghc-statistics-dev (<< 0.15),
+ libghc-statistics-dev (<< 0.16),
  libghc-statistics-prof,
- libghc-transformers-compat-dev (>= 0.4),
+ libghc-transformers-compat-dev (>= 0.6.4),
  libghc-transformers-compat-prof,
  libghc-vector-algorithms-dev (>= 0.4),
  libghc-vector-algorithms-prof,
@@ -55,13 +56,13 @@
  libghc-base-compat-batteries-doc,
  libghc-cassava-doc,
  libghc-code-page-doc,
+ libghc-criterion-measurement-doc,
  libghc-exceptions-doc,
  libghc-js-flot-doc,
  libghc-js-jquery-doc,
  libghc-microstache-doc,
  libghc-mwc-random-doc,
  libghc-optparse-applicative-doc,
- libghc-semigroups-doc,
  libghc-statistics-doc,
  libghc-transformers-compat-doc,
  libghc-vector-algorithms-doc,

## haskell-criterion 1.5.6.2

=== debian/changelog ===
haskell-criterion (1.5.6.2-1build7) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 20:22:39 +0000

haskell-criterion (1.5.6.2-1build6) groovy; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 29 Aug 2020 18:58:15 +0000

haskell-criterion (1.5.6.2-1build5) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Aug 2020 13:39:21 +0200

haskell-criterion (1.5.6.2-1build4) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jul 2020 23:49:59 +0200

haskell-criterion (1.5.6.2-1build3) groovy; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 Jul 2020 18:22:37 +0000

haskell-criterion (1.5.6.2-1build2) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jun 2020 21:10:57 +0200

haskell-criterion (1.5.6.2-1build1) groovy; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jun 2020 15:40:10 +0200

haskell-criterion (1.5.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 30 May 2020 19:03:31 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-criterion
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Joachim Breitner <nomeata@debian.org>,
 Priority: optional
@@ -16,8 +17,11 @@
  libghc-ansi-wl-pprint-dev (>= 0.6.7.2),
  libghc-ansi-wl-pprint-prof,
  libghc-base-compat-batteries-dev (>= 0.10),
- libghc-base-compat-batteries-dev (<< 0.11),
+ libghc-base-compat-batteries-dev (<< 0.12),
  libghc-base-compat-batteries-prof,
+ libghc-binary-orphans-dev (>= 1.0.1),
+ libghc-binary-orphans-dev (<< 1.1),
+ libghc-binary-orphans-prof,
  libghc-cassava-dev (>= 0.3.0.0),
  libghc-cassava-prof,
  libghc-glob-dev (>= 0.7.2),
@@ -54,6 +58,7 @@
  libghc-aeson-doc,
  libghc-ansi-wl-pprint-doc,
  libghc-base-compat-batteries-doc,
+ libghc-binary-orphans-doc,
  libghc-cassava-doc,
  libghc-code-page-doc,
  libghc-criterion-measurement-doc,

## haskell-criterion 1.5.13.0

=== debian/changelog ===
haskell-criterion (1.5.13.0-2) unstable; urgency=medium

  * Patch for newer aeson and statistics.

 -- Clint Adams <clint@debian.org>  Mon, 15 Aug 2022 18:41:50 -0400

haskell-criterion (1.5.13.0-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.1
  * Remove retired developer, Joachim Breitner, from Uploaders.

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 15 Aug 2022 15:19:01 -0400

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: haskell-criterion
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
- Joachim Breitner <nomeata@debian.org>,
+ Ilias Tsitsimpis <iliastsi@debian.org>,
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
+ haskell-devscripts (>= 0.13),
  cdbs,
  debhelper (>= 10),
  ghc (>= 8.4.3),
  ghc-prof,
- haskell-devscripts (>= 0.13),
- libghc-aeson-dev (>= 0.8),
+ libghc-glob-dev (>= 0.7.2),
+ libghc-glob-prof,
+ libghc-aeson-dev (>= 1),
+ libghc-aeson-dev (<< 2.2),
  libghc-aeson-prof,
  libghc-ansi-wl-pprint-dev (>= 0.6.7.2),
  libghc-ansi-wl-pprint-prof,
  libghc-base-compat-batteries-dev (>= 0.10),
- libghc-base-compat-batteries-dev (<< 0.12),
+ libghc-base-compat-batteries-dev (<< 0.13),
  libghc-base-compat-batteries-prof,
  libghc-binary-orphans-dev (>= 1.0.1),
  libghc-binary-orphans-dev (<< 1.1),
@@ -34,19 +36,16 @@
  libghc-exceptions-dev (>= 0.8.2),
  libghc-exceptions-dev (<< 0.11),
  libghc-exceptions-prof,
- libghc-js-flot-dev,
- libghc-js-flot-prof,
- libghc-js-jquery-dev,
- libghc-js-jquery-prof,
  libghc-microstache-dev (>= 1.0.1),
  libghc-microstache-dev (<< 1.1),
  libghc-microstache-prof,
  libghc-mwc-random-dev (>= 0.8.0.3),
  libghc-mwc-random-prof,
  libghc-optparse-applicative-dev (>= 0.13),
+ libghc-optparse-applicative-dev (<< 0.18),
  libghc-optparse-applicative-prof,
  libghc-statistics-dev (>= 0.14),
- libghc-statistics-dev (<< 0.16),
+ libghc-statistics-dev (<< 0.17),
  libghc-statistics-prof,
  libghc-transformers-compat-dev (>= 0.6.4),
  libghc-transformers-compat-prof,
@@ -63,8 +62,6 @@
  libghc-code-page-doc,
  libghc-criterion-measurement-doc,
  libghc-exceptions-doc,
- libghc-js-flot-doc,
- libghc-js-jquery-doc,
  libghc-microstache-doc,
  libghc-mwc-random-doc,
  libghc-optparse-applicative-doc,
@@ -72,7 +69,8 @@
  libghc-transformers-compat-doc,
  libghc-vector-algorithms-doc,
  libghc-vector-doc,
-Standards-Version: 4.1.4
+ libjs-chart.js,
+Standards-Version: 4.6.1
 Homepage: http://www.serpentine.com/criterion
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-criterion
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-criterion]

=== debian/watch ===
version=3
https://hackage.haskell.org/package/criterion/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
